Last Comment Bug 1299428 - Search a string looking like a URL using a one-off button doesn't open the search results
: Search a string looking like a URL using a one-off button doesn't open the se...
Status: RESOLVED FIXED
[fxsearch]
:
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: Unspecified Unspecified
P1 normal (vote)
: Firefox 52
Assigned To: Marco Bonardo [::mak]
:
: Marco Bonardo [::mak]
Mentors:
: 1293049 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-31 04:00 PDT by Marco Castelluccio [:marco]
Modified: 2017-02-03 06:50 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1299428 - Use more of BrowserTestUtils in urlbar tests. (58 bytes, text/x-review-board-request)
2016-11-02 13:09 PDT, Marco Bonardo [::mak]
adw: review+
Details | Review
Bug 1299428 - Searching an URL looking string using a one-off button doesn't open a search result. (58 bytes, text/x-review-board-request)
2016-11-02 13:09 PDT, Marco Bonardo [::mak]
adw: review+
Details | Review

Description User image Marco Castelluccio [:marco] 2016-08-31 04:00:17 PDT
Steps to reproduce:
1) Open a new tab
2) Write 'os.environ.get' in the awesomebar
3) Click on one of the search providers at the bottom of the awesomebar

A search results page should be opened, but instead Firefox is trying to open 'os.environ.get' as a URL.
Comment 1 User image Marco Bonardo [::mak] 2016-09-02 03:08:42 PDT
*** Bug 1293049 has been marked as a duplicate of this bug. ***
Comment 2 User image Marco Bonardo [::mak] 2016-10-31 09:56:53 PDT
I think the problem is that we evaluate actions BEFORE checking oneoffs. We should do the opposite.
Comment 3 User image Marco Bonardo [::mak] 2016-10-31 10:29:27 PDT
well, actually the problem is that we only serve searches if the string doesn't pass fixup... but it doesn't make much sense since a selected oneoff means it's "active" so what the user wants to do is a search.
Comment 4 User image Marco Bonardo [::mak] 2016-11-02 13:09:53 PDT Comment hidden (mozreview-request)
Comment 5 User image Marco Bonardo [::mak] 2016-11-02 13:09:53 PDT Comment hidden (mozreview-request)
Comment 6 User image Marco Bonardo [::mak] 2016-11-02 16:08:24 PDT Comment hidden (obsolete)
Comment 7 User image Marco Bonardo [::mak] 2016-11-02 16:17:28 PDT Comment hidden (mozreview-request)
Comment 8 User image Marco Bonardo [::mak] 2016-11-02 16:17:28 PDT Comment hidden (mozreview-request)
Comment 9 User image Marco Bonardo [::mak] 2016-11-03 01:45:16 PDT Comment hidden (mozreview-request)
Comment 10 User image Marco Bonardo [::mak] 2016-11-03 01:45:16 PDT Comment hidden (mozreview-request)
Comment 11 User image Marco Bonardo [::mak] 2016-11-03 03:56:17 PDT Comment hidden (mozreview-request)
Comment 12 User image Marco Bonardo [::mak] 2016-11-03 03:56:17 PDT Comment hidden (mozreview-request)
Comment 13 User image Marco Bonardo [::mak] 2016-11-03 04:02:14 PDT
this should now be ready for review. The remaining failure on Try in browser_action_keyword.js has been fixed in the last commit
Comment 14 User image Drew Willcoxon :adw 2016-11-03 16:53:49 PDT
Comment on attachment 8806869 [details]
Bug 1299428 - Searching an URL looking string using a one-off button doesn't open a search result.

https://reviewboard.mozilla.org/r/90156/#review90260

Hmm, I guess the point of the fixup was to navigate to the URL you had typed, or more likely selected from the results, even if a one-off was also selected.  I don't remember.
Comment 15 User image Drew Willcoxon :adw 2016-11-03 17:07:16 PDT
Comment on attachment 8806868 [details]
Bug 1299428 - Use more of BrowserTestUtils in urlbar tests.

https://reviewboard.mozilla.org/r/90154/#review90262
Comment 16 User image Marco Bonardo [::mak] 2016-11-04 02:12:10 PDT
I must wait for bug 1314812 landing to unbitrot.
Comment 17 User image Marco Bonardo [::mak] 2016-11-04 14:07:49 PDT Comment hidden (mozreview-request)
Comment 18 User image Marco Bonardo [::mak] 2016-11-04 14:07:49 PDT Comment hidden (mozreview-request)
Comment 19 User image Pulsebot 2016-11-04 14:13:45 PDT
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/55884e6a3c8c
Use more of BrowserTestUtils in urlbar tests. r=adw
https://hg.mozilla.org/integration/autoland/rev/370bcd32def2
Searching an URL looking string using a one-off button doesn't open a search result. r=adw
Comment 21 User image Maruf Rahman[:mMARUF] 2016-11-09 10:47:20 PST
I have reproduced this bug with Nightly 51.0a1 (2016-08-31) on Windows 7, 64 Bit !

This bug's fix is verified with latest Nightly

Build ID    20161109030210
User Agent  Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0

[bugday-20161109]
Comment 22 User image Md.Majedul isalm 2017-02-03 06:50:38 PST
I have reproduced this bug with Nightly 51.0a1 (2016-08-31) on Ubuntu 16.10, 64 Bit !

This bug's fix is verified with latest Nightly

Build ID    20170202101509
User Agent  Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0


[testday-20170203]

Note You need to log in before you can comment on or make changes to this bug.